g = 9.81;
gamma1 = 0.6;
gamma2 = 0.7;
A1 = 1.1;
A2 = 1.1;
A3 = 0.45;
A4 = 0.45;
a1 = 0.01;
a2 = 0.01;
a3 = 0.02;
a4 = 0.02;
k1 = 0.001;
k2 = 0.001;
h1 = 1.5;
h2 = 1.4;

%linearizace;
h3 = 0.01210;
h4 = 0.11216;
u1 = 74.172;
u2 = 32.487;


T1 = A1/a1 * sqrt(2*h1/g);
T2 = A2/a2 * sqrt(2*h2/g);
T3 = A3/a3 * sqrt(2*h3/g);
T4 = A4/a4 * sqrt(2*h4/g);

A = [ -1/T1, 0, A3/(A1*T3),     0;
      0, -1/T2, 0,      A4/(A2*T4);
      0,     0,  -1/T3,          0;
      0,     0,      0,      -1/T4];
  
B = [ (gamma1 *k1)/A1, 0;
        0,  gamma2*k2/A2;
        0,  (1-gamma2)*k2/A3;
        (1-gamma1)*k1/A4, 0];
    
C = [1,0,0,0;
    0,1,0,0];
D = zeros(2);


